Update a user
curl --request PUT \
--url https://production.runalloy.com/users/{userId} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"username": "<string>",
"fullName": "<string>"
}
'import requests
url = "https://production.runalloy.com/users/{userId}"
payload = {
"username": "<string>",
"fullName": "<string>"
}
headers = {
"Authorization": "<authorization>",
"x-api-version": "<x-api-version>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: '<authorization>',
'x-api-version': '<x-api-version>',
'Content-Type': 'application/json'
},
body: JSON.stringify({username: '<string>', fullName: '<string>'})
};
fetch('https://production.runalloy.com/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "6323d7c9122ae69742a5d0a2",
"fullName": "Gregg Mojica",
"username": "greggmojica"
}{
"message": "Unauthorized"
}Users
Update a user
Updates a user given a specified userId. This endpoint allows you to update a username or fullName and returns the updated user object.
PUT
/
users
/
{userId}
Update a user
Headers
The version of the API to use. The current API version is 2025-09.
Path Parameters
The Id of the user you want to lookup. Returned from the Create User endpoint. Note: you can also use the Embedded user's username in this field.
Body
application/json
⌘I

